@testProject
Feature: Search for the product

### Please use endpoint GET https://waarkoop-server.herokuapp.com/api/v1/search/demo/{product} for getting the products.
### Available products: "orange", "apple", "pasta", "cola"
### Prepare Positive and negative scenarios

  Scenario Outline: Filter each brand and check count [Positive]
    Given User calls endpoint <component>
    When User filtered brand <brand>
    Then User checks that count of filtered brands is <count>

    Examples:
      | component | brand                       | count |
      | cola      | Coca-Cola European Partners | 9     |
      | pasta     | Unilever Nederland B.V.     | 5     |


  Scenario Outline: Filter each brand and check count [Negative]
    Given User calls endpoint <component>
    When User filtered brand <brand>
    Then User checks that count of filtered brands is <count>

    Examples:
      | component | brand           | count |
      | apple     | Smilde Foods BV | 10     |